Bug 310851 - Microsoft's CDO timezones not accepted by Google
Summary: Microsoft's CDO timezones not accepted by Google
Status: RESOLVED FIXED
Alias: None
Product: libkgapi
Classification: Unclassified
Component: calendar (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-29 01:20 UTC by Harald Stürmer
Modified: 2012-12-03 20:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.4.4


Attachments
Invitation, that didn't work. (9.52 KB, text/plain)
2012-11-29 01:26 UTC, Harald Stürmer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Stürmer 2012-11-29 01:20:28 UTC
Invitations I get by mail from Outlook users can be accepted and will show up in the (Google) calendar on that machine. However, the event does not not sync to the Google online calender and the other devices using the Google calendar.

Reproducible: Always

Steps to Reproduce:
1. Click on accept invitation
2. Look in your Kalender, event shows up
3. Look on Google online calendar, event dosn't show up.
Actual Results:  
Event doesn't sync / won't show up in the Google calendar online or on other devices

Expected Results:  
Event should show up in the Google online calendar.

openSuSE 12.2. 
KDE 4.9.3
libkgapi 0.4.3(-8.1)
Comment 1 Harald Stürmer 2012-11-29 01:26:50 UTC
Created attachment 75528 [details]
Invitation, that didn't work.
Comment 2 Daniel Vrátil 2012-12-03 19:29:43 UTC
Git commit 1256236ad1f6376b847bc7e8c3fb879331f25ae0 by Dan Vrátil.
Committed on 03/12/2012 at 20:09.
Pushed by dvratil into branch 'LibKGAPI/0.4'.

Handle Microsoft TZIDs

Microsoft TZIDs which are not compatible with the Olson timezone
format which Google expects in dtStart and dtEnd timezones. We
use special mapping of X-MICROSOFT-CDO-TZID property to a real
Olson timezones to make Google happy. Unfortunatelly this means
that the original long MS timezone name is not preserved.

The conversion is run only in Objects::Event -> JSON serializer,
as Google always returns events with Olson timezone format.
FIXED-IN: 0.4.4

M  +191  -2    libkgapi/services/calendar.cpp

http://commits.kde.org/akonadi-google/1256236ad1f6376b847bc7e8c3fb879331f25ae0